### Constructor

# Cogl Indices new_for_buffer

#### Declaration [src]

    CoglIndices*
    cogl_indices_new_for_buffer (
      CoglIndicesType type,
      CoglIndexBuffer* buffer,
      size_t offset
    )

#### Description

No description available.

#### Parameters

`type`

  Type: `CoglIndicesType`

  No description available.

`buffer`

  Type: `CoglIndexBuffer`

  No description available.

  The data is owned by the caller of the function.

`offset`

  Type: `size_t`

  No description available.

#### Return value

Type: `CoglIndices`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.